package cn.superdesk.uniorder.dao.entity.setting;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedServiceExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UnifiedServiceExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    unified_service
     *
     * Mon Jun 21 16:28:54 CST 2021
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAsServiceIsNull() {
            addCriterion("as_service is null");
            return (Criteria) this;
        }

        public Criteria andAsServiceIsNotNull() {
            addCriterion("as_service is not null");
            return (Criteria) this;
        }

        public Criteria andAsServiceEqualTo(Integer value) {
            addCriterion("as_service =", value, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceNotEqualTo(Integer value) {
            addCriterion("as_service <>", value, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceGreaterThan(Integer value) {
            addCriterion("as_service >", value, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceGreaterThanOrEqualTo(Integer value) {
            addCriterion("as_service >=", value, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceLessThan(Integer value) {
            addCriterion("as_service <", value, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceLessThanOrEqualTo(Integer value) {
            addCriterion("as_service <=", value, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceIn(List<Integer> values) {
            addCriterion("as_service in", values, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceNotIn(List<Integer> values) {
            addCriterion("as_service not in", values, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceBetween(Integer value1, Integer value2) {
            addCriterion("as_service between", value1, value2, "asService");
            return (Criteria) this;
        }

        public Criteria andAsServiceNotBetween(Integer value1, Integer value2) {
            addCriterion("as_service not between", value1, value2, "asService");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeIsNull() {
            addCriterion("as_order_type is null");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeIsNotNull() {
            addCriterion("as_order_type is not null");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeEqualTo(Integer value) {
            addCriterion("as_order_type =", value, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeNotEqualTo(Integer value) {
            addCriterion("as_order_type <>", value, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeGreaterThan(Integer value) {
            addCriterion("as_order_type >", value, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("as_order_type >=", value, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeLessThan(Integer value) {
            addCriterion("as_order_type <", value, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeLessThanOrEqualTo(Integer value) {
            addCriterion("as_order_type <=", value, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeIn(List<Integer> values) {
            addCriterion("as_order_type in", values, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeNotIn(List<Integer> values) {
            addCriterion("as_order_type not in", values, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeBetween(Integer value1, Integer value2) {
            addCriterion("as_order_type between", value1, value2, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andAsOrderTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("as_order_type not between", value1, value2, "asOrderType");
            return (Criteria) this;
        }

        public Criteria andServiceIdIsNull() {
            addCriterion("service_id is null");
            return (Criteria) this;
        }

        public Criteria andServiceIdIsNotNull() {
            addCriterion("service_id is not null");
            return (Criteria) this;
        }

        public Criteria andServiceIdEqualTo(Integer value) {
            addCriterion("service_id =", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdNotEqualTo(Integer value) {
            addCriterion("service_id <>", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdGreaterThan(Integer value) {
            addCriterion("service_id >", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("service_id >=", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdLessThan(Integer value) {
            addCriterion("service_id <", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdLessThanOrEqualTo(Integer value) {
            addCriterion("service_id <=", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdIn(List<Integer> values) {
            addCriterion("service_id in", values, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdNotIn(List<Integer> values) {
            addCriterion("service_id not in", values, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdBetween(Integer value1, Integer value2) {
            addCriterion("service_id between", value1, value2, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdNotBetween(Integer value1, Integer value2) {
            addCriterion("service_id not between", value1, value2, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(String value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(String value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(String value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(String value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(String value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLike(String value) {
            addCriterion("service_no like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotLike(String value) {
            addCriterion("service_no not like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<String> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<String> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(String value1, String value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(String value1, String value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNameIsNull() {
            addCriterion("service_name is null");
            return (Criteria) this;
        }

        public Criteria andServiceNameIsNotNull() {
            addCriterion("service_name is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNameEqualTo(String value) {
            addCriterion("service_name =", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotEqualTo(String value) {
            addCriterion("service_name <>", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameGreaterThan(String value) {
            addCriterion("service_name >", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameGreaterThanOrEqualTo(String value) {
            addCriterion("service_name >=", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLessThan(String value) {
            addCriterion("service_name <", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLessThanOrEqualTo(String value) {
            addCriterion("service_name <=", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLike(String value) {
            addCriterion("service_name like", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotLike(String value) {
            addCriterion("service_name not like", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameIn(List<String> values) {
            addCriterion("service_name in", values, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotIn(List<String> values) {
            addCriterion("service_name not in", values, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameBetween(String value1, String value2) {
            addCriterion("service_name between", value1, value2, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotBetween(String value1, String value2) {
            addCriterion("service_name not between", value1, value2, "serviceName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIsNull() {
            addCriterion("order_type is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIsNotNull() {
            addCriterion("order_type is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeEqualTo(String value) {
            addCriterion("order_type =", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotEqualTo(String value) {
            addCriterion("order_type <>", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeGreaterThan(String value) {
            addCriterion("order_type >", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeGreaterThanOrEqualTo(String value) {
            addCriterion("order_type >=", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLessThan(String value) {
            addCriterion("order_type <", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLessThanOrEqualTo(String value) {
            addCriterion("order_type <=", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLike(String value) {
            addCriterion("order_type like", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotLike(String value) {
            addCriterion("order_type not like", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIn(List<String> values) {
            addCriterion("order_type in", values, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotIn(List<String> values) {
            addCriterion("order_type not in", values, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeBetween(String value1, String value2) {
            addCriterion("order_type between", value1, value2, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotBetween(String value1, String value2) {
            addCriterion("order_type not between", value1, value2, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderStateIsNull() {
            addCriterion("order_state is null");
            return (Criteria) this;
        }

        public Criteria andOrderStateIsNotNull() {
            addCriterion("order_state is not null");
            return (Criteria) this;
        }

        public Criteria andOrderStateEqualTo(String value) {
            addCriterion("order_state =", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotEqualTo(String value) {
            addCriterion("order_state <>", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateGreaterThan(String value) {
            addCriterion("order_state >", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateGreaterThanOrEqualTo(String value) {
            addCriterion("order_state >=", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLessThan(String value) {
            addCriterion("order_state <", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLessThanOrEqualTo(String value) {
            addCriterion("order_state <=", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLike(String value) {
            addCriterion("order_state like", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotLike(String value) {
            addCriterion("order_state not like", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateIn(List<String> values) {
            addCriterion("order_state in", values, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotIn(List<String> values) {
            addCriterion("order_state not in", values, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateBetween(String value1, String value2) {
            addCriterion("order_state between", value1, value2, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotBetween(String value1, String value2) {
            addCriterion("order_state not between", value1, value2, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonIsNull() {
            addCriterion("order_state_json is null");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonIsNotNull() {
            addCriterion("order_state_json is not null");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonEqualTo(String value) {
            addCriterion("order_state_json =", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonNotEqualTo(String value) {
            addCriterion("order_state_json <>", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonGreaterThan(String value) {
            addCriterion("order_state_json >", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonGreaterThanOrEqualTo(String value) {
            addCriterion("order_state_json >=", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonLessThan(String value) {
            addCriterion("order_state_json <", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonLessThanOrEqualTo(String value) {
            addCriterion("order_state_json <=", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonLike(String value) {
            addCriterion("order_state_json like", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonNotLike(String value) {
            addCriterion("order_state_json not like", value, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonIn(List<String> values) {
            addCriterion("order_state_json in", values, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonNotIn(List<String> values) {
            addCriterion("order_state_json not in", values, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonBetween(String value1, String value2) {
            addCriterion("order_state_json between", value1, value2, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andOrderStateJsonNotBetween(String value1, String value2) {
            addCriterion("order_state_json not between", value1, value2, "orderStateJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonIsNull() {
            addCriterion("pay_type_json is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonIsNotNull() {
            addCriterion("pay_type_json is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonEqualTo(String value) {
            addCriterion("pay_type_json =", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonNotEqualTo(String value) {
            addCriterion("pay_type_json <>", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonGreaterThan(String value) {
            addCriterion("pay_type_json >", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonGreaterThanOrEqualTo(String value) {
            addCriterion("pay_type_json >=", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonLessThan(String value) {
            addCriterion("pay_type_json <", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonLessThanOrEqualTo(String value) {
            addCriterion("pay_type_json <=", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonLike(String value) {
            addCriterion("pay_type_json like", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonNotLike(String value) {
            addCriterion("pay_type_json not like", value, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonIn(List<String> values) {
            addCriterion("pay_type_json in", values, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonNotIn(List<String> values) {
            addCriterion("pay_type_json not in", values, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonBetween(String value1, String value2) {
            addCriterion("pay_type_json between", value1, value2, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andPayTypeJsonNotBetween(String value1, String value2) {
            addCriterion("pay_type_json not between", value1, value2, "payTypeJson");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeIsNull() {
            addCriterion("goods_transport_fiscal_code is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeIsNotNull() {
            addCriterion("goods_transport_fiscal_code is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeEqualTo(String value) {
            addCriterion("goods_transport_fiscal_code =", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeNotEqualTo(String value) {
            addCriterion("goods_transport_fiscal_code <>", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeGreaterThan(String value) {
            addCriterion("goods_transport_fiscal_code >", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeGreaterThanOrEqualTo(String value) {
            addCriterion("goods_transport_fiscal_code >=", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeLessThan(String value) {
            addCriterion("goods_transport_fiscal_code <", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeLessThanOrEqualTo(String value) {
            addCriterion("goods_transport_fiscal_code <=", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeLike(String value) {
            addCriterion("goods_transport_fiscal_code like", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeNotLike(String value) {
            addCriterion("goods_transport_fiscal_code not like", value, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeIn(List<String> values) {
            addCriterion("goods_transport_fiscal_code in", values, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeNotIn(List<String> values) {
            addCriterion("goods_transport_fiscal_code not in", values, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeBetween(String value1, String value2) {
            addCriterion("goods_transport_fiscal_code between", value1, value2, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportFiscalCodeNotBetween(String value1, String value2) {
            addCriterion("goods_transport_fiscal_code not between", value1, value2, "goodsTransportFiscalCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeIsNull() {
            addCriterion("goods_transport_tax_code is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeIsNotNull() {
            addCriterion("goods_transport_tax_code is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeEqualTo(String value) {
            addCriterion("goods_transport_tax_code =", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeNotEqualTo(String value) {
            addCriterion("goods_transport_tax_code <>", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeGreaterThan(String value) {
            addCriterion("goods_transport_tax_code >", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeGreaterThanOrEqualTo(String value) {
            addCriterion("goods_transport_tax_code >=", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeLessThan(String value) {
            addCriterion("goods_transport_tax_code <", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeLessThanOrEqualTo(String value) {
            addCriterion("goods_transport_tax_code <=", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeLike(String value) {
            addCriterion("goods_transport_tax_code like", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeNotLike(String value) {
            addCriterion("goods_transport_tax_code not like", value, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeIn(List<String> values) {
            addCriterion("goods_transport_tax_code in", values, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeNotIn(List<String> values) {
            addCriterion("goods_transport_tax_code not in", values, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeBetween(String value1, String value2) {
            addCriterion("goods_transport_tax_code between", value1, value2, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxCodeNotBetween(String value1, String value2) {
            addCriterion("goods_transport_tax_code not between", value1, value2, "goodsTransportTaxCode");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateIsNull() {
            addCriterion("goods_transport_tax_rate is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateIsNotNull() {
            addCriterion("goods_transport_tax_rate is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateEqualTo(BigDecimal value) {
            addCriterion("goods_transport_tax_rate =", value, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateNotEqualTo(BigDecimal value) {
            addCriterion("goods_transport_tax_rate <>", value, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateGreaterThan(BigDecimal value) {
            addCriterion("goods_transport_tax_rate >", value, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_transport_tax_rate >=", value, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateLessThan(BigDecimal value) {
            addCriterion("goods_transport_tax_rate <", value, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_transport_tax_rate <=", value, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateIn(List<BigDecimal> values) {
            addCriterion("goods_transport_tax_rate in", values, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateNotIn(List<BigDecimal> values) {
            addCriterion("goods_transport_tax_rate not in", values, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_transport_tax_rate between", value1, value2, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportTaxRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_transport_tax_rate not between", value1, value2, "goodsTransportTaxRate");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andEnabledIsNull() {
            addCriterion("enabled is null");
            return (Criteria) this;
        }

        public Criteria andEnabledIsNotNull() {
            addCriterion("enabled is not null");
            return (Criteria) this;
        }

        public Criteria andEnabledEqualTo(Integer value) {
            addCriterion("enabled =", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotEqualTo(Integer value) {
            addCriterion("enabled <>", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledGreaterThan(Integer value) {
            addCriterion("enabled >", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledGreaterThanOrEqualTo(Integer value) {
            addCriterion("enabled >=", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLessThan(Integer value) {
            addCriterion("enabled <", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLessThanOrEqualTo(Integer value) {
            addCriterion("enabled <=", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledIn(List<Integer> values) {
            addCriterion("enabled in", values, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotIn(List<Integer> values) {
            addCriterion("enabled not in", values, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledBetween(Integer value1, Integer value2) {
            addCriterion("enabled between", value1, value2, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotBetween(Integer value1, Integer value2) {
            addCriterion("enabled not between", value1, value2, "enabled");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Integer value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Integer value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Integer value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Integer value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Integer value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Integer value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Integer> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Integer> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Integer value1, Integer value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Integer value1, Integer value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }
    }

    /**
    unified_service
     *
     * do_not_delete_during_merge Mon Jun 21 16:28:54 CST 2021
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    unified_service
     *
     * Mon Jun 21 16:28:54 CST 2021
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}